org.apache.mina.util.byteaccess

## Interface CompositeByteArray.CursorListener

- Enclosing class:
    CompositeByteArray

      public static interface CompositeByteArray.CursorListener

  Allows for efficient detection of component boundaries when using a cursor. TODO: Is this interface right?

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `enteredFirstComponent(int componentIndex, ByteArray component)` Called when the first component in the composite is entered by the cursor.
    `void` | `enteredLastComponent(int componentIndex, ByteArray component)` Called when the last component in the composite is entered by the cursor.
    `void` | `enteredNextComponent(int componentIndex, ByteArray component)` Called when the next component in the composite is entered by the cursor.
    `void` | `enteredPreviousComponent(int componentIndex, ByteArray component)` Called when the previous component in the composite is entered by the cursor.

- - ### Method Detail

    - #### enteredFirstComponent

          void enteredFirstComponent(int componentIndex,
                                   ByteArray component)

      Called when the first component in the composite is entered by the cursor.

    - #### enteredNextComponent

          void enteredNextComponent(int componentIndex,
                                  ByteArray component)

      Called when the next component in the composite is entered by the cursor.

    - #### enteredPreviousComponent

          void enteredPreviousComponent(int componentIndex,
                                      ByteArray component)

      Called when the previous component in the composite is entered by the cursor.

    - #### enteredLastComponent

          void enteredLastComponent(int componentIndex,
                                  ByteArray component)

      Called when the last component in the composite is entered by the cursor.

Copyright © 2004-2012 Apache MINA Project. All Rights Reserved.